var el = wp.element.createElement;
var __ = wp.i18n.__;

wp.blocks.registerBlockType( 'iframe-plugin/iframe', {
    title: 'Easiio Presentation',
    icon: 'media-code',
    category: 'common',
    attributes: {
        url: {
            type: 'string',
            default: ''
        }
    },
    edit: function( props ) {
        var url = props.attributes.url;
        function onChangeUrl(newUrl) {
            props.setAttributes({ url: newUrl });
        }
        function onChangeItem(e) {
            let items = window.presentations;
            let content = '';
            for (item of items) {
                content += `<div class="item-part" onclick="clickItem(this)"  data-url="${item.shareUUID}">
                        <img class="item-img" src="${item.presentationDetail[0]?item.presentationDetail[0].url:''}">
                        <div class="item-text">${item.name}</div>
                    </div>`;
            }
            e.target.parentElement.getElementsByClassName('list-part')[0].innerHTML= '<div class="list-part-content">'+content+'</div>';
            e.target.parentElement.getElementsByClassName('list-part')[0].style.display = 'flex';
        }
        return el(
            'div',
            { className: props.className },
            el(
                'div',
                { className: 'choice-url-item' },
                el( 'div', {
                        className: 'get-list-btn',
                        onClick: onChangeItem,
                    },
                    'Get List'
                ),
                el( 'div', {
                    className: 'list-part'
                } ),
            ),
            el(
                wp.components.TextControl,
                {
                    label: __( 'URL' ),
                    value: url,
                    className: 'url-input',
                    onChange: onChangeUrl,
                }
            ),
            el(
                'div',
                { className: 'iframe-preview' },
                el( 'iframe', { src: url, width: '100%', height: '400' } )
            )
        );
    },
    save: function( props ) {
        var url = props.attributes.url;
        return el(
            'div',
            { className: props.className },
            el( 'iframe', { src: url, width: '100%', height: '600' } )
        );
    }
} );

function clickItem(e) {
    e.parentElement.parentElement.style.display = 'none';
    let url = 'https://easiio.sflow.io/sharepresentation/?s=' + e.dataset.url;
    let ele = e.parentElement.parentElement.parentElement.parentElement.getElementsByClassName('url-input')[0].getElementsByTagName('input')[0];
    ele.value = url;
    const post = wp.data.select('core/editor').getCurrentPost();
    let blockId = wp.data.select('core/editor').getSelectedBlockClientId();
    const blockProps = wp.data.select('core/editor').getPostEdits(post.id).blocks.find(block => block.clientId === blockId).attributes;
    blockProps.url = url;
}

