<?php
/**
 * Plugin Name: Easiio Presentation
 * Plugin URI: https://sflow.io
 * Description: Allows you to insert URLs and create an iframe in the WordPress editor.
 * Version: 1.0.0
 * Author: Easiio
 * Author URI: https://sflow.io
 * License: GPLv3
 */

if (!class_exists('EasiioPresenatation')) {
    class EasiioPresenatation
    {
        public function __construct() {
            $this->load();
        }

        public function load() {
            add_action('init', [$this, 'iframe_plugin_register_block']);
        }
        // Register the block
        function iframe_plugin_register_block() {
            wp_enqueue_style('iframe-style',
                plugin_dir_url( __FILE__).'assets/css/index.css',
                ''
            );

            wp_register_script(
                'iframe-plugin-block',
                plugins_url( 'assets/js/index.js', __FILE__ ),
                array( 'wp-blocks', 'wp-editor', 'wp-components', 'wp-i18n')
            );

            register_block_type( 'iframe-plugin/iframe', array(
                'editor_script' => 'iframe-plugin-block',
            ) );

            wp_enqueue_script( 'easiio-video', plugin_dir_url( __FILE__ ) . 'assets/js/easiio-presenatation.js','', '', '');
        }

    }
}

if (class_exists('EasiioPresenatation')) {
    $plugin = new EasiioPresenatation();

}






